=== actasp/src/executors/CMakeLists.txt ===
SET( actasp_SRC  ${actasp_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/ReplanningActionExecutor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/PartialPolicyExecutor.cpp
PARENT_SCOPE)
