=== debian/control ===
Source: ros-indigo-bwi-kr-execution
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gringo, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/bwi_kr_execution
Standards-Version: 3.9.2

Package: ros-indigo-bwi-kr-execution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gringo, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Execution nodes for using the BWI Knowledge Representation.
